<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__spi__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_spi_t</compoundname>
    <includes local="no">cyhal_hw_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__spi__t_1a9d0c88aefd98c3154063d62806bc7896" kind="variable" mutable="no" prot="public" static="no">
        <type>CySCB_Type *</type>
        <definition>CySCB_Type* cyhal_spi_t::base</definition>
        <argsstring />
        <name>base</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="673" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="673" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1a50ef30629c0ed6b9b88fd3edd1d6d917" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__resource__inst__t">cyhal_resource_inst_t</ref></type>
        <definition>cyhal_resource_inst_t cyhal_spi_t::resource</definition>
        <argsstring />
        <name>resource</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="674" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="674" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1a4abba543deddc161985cb5e2bce54a27" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_spi_t::pin_miso</definition>
        <argsstring />
        <name>pin_miso</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="675" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="675" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1aeb604dd90daa694e30c9401c4a35a261" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_spi_t::pin_mosi</definition>
        <argsstring />
        <name>pin_mosi</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="676" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="676" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1a0257721a8d77e714a2403d20c474097b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_spi_t::pin_sclk</definition>
        <argsstring />
        <name>pin_sclk</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="677" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="677" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1a25f5477edefe12fe9e7c0fc5a34e5c3d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
        <definition>cyhal_gpio_t cyhal_spi_t::pin_ssel[4]</definition>
        <argsstring>[4]</argsstring>
        <name>pin_ssel</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="678" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="678" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1a97c4443efbfb39aa679ab01dda84c7f9" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_en_scb_spi_polarity_t</type>
        <definition>cy_en_scb_spi_polarity_t cyhal_spi_t::ssel_pol[4]</definition>
        <argsstring>[4]</argsstring>
        <name>ssel_pol</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="679" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="679" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1aadd316efc500c86d31d4f5a1d537eda8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cyhal_spi_t::active_ssel</definition>
        <argsstring />
        <name>active_ssel</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="680" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="680" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1a209a4ab790591cf161bd9cd4984cac94" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_t</ref></type>
        <definition>cyhal_clock_t cyhal_spi_t::clock</definition>
        <argsstring />
        <name>clock</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="681" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="681" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1a53afd13ba64fe0511d4e6a18e1e0e5de" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_en_scb_spi_sclk_mode_t</type>
        <definition>cy_en_scb_spi_sclk_mode_t cyhal_spi_t::clk_mode</definition>
        <argsstring />
        <name>clk_mode</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="682" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="682" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1a48e2879bfa6bea23645f5e2b8a684eb9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cyhal_spi_t::mode</definition>
        <argsstring />
        <name>mode</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="683" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="683" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1a50a0b5cf864a709a12c53b57bf1f60e0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cyhal_spi_t::data_bits</definition>
        <argsstring />
        <name>data_bits</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="684" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="684" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1adac2b2d71c8aa2918756ff15b7eed46f" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cyhal_spi_t::is_slave</definition>
        <argsstring />
        <name>is_slave</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="685" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="685" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1ae7b748656fdeb754c3d5e4fca97ce981" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cyhal_spi_t::alloc_clock</definition>
        <argsstring />
        <name>alloc_clock</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="686" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="686" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1a1719642510d5c74a45fc5ed4e3af0b4c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cyhal_spi_t::oversample_value</definition>
        <argsstring />
        <name>oversample_value</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="687" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="687" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1ad3b024dc55f4ba25ae9a002fdf6274ef" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cyhal_spi_t::msb_first</definition>
        <argsstring />
        <name>msb_first</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="688" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="688" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1a9d3190844992b833c1985a0f70db0f47" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_scb_spi_context_t</type>
        <definition>cy_stc_scb_spi_context_t cyhal_spi_t::context</definition>
        <argsstring />
        <name>context</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="689" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="689" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1aaad3adf0f7954bb7fee6e543220b2c38" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_spi_t::irq_cause</definition>
        <argsstring />
        <name>irq_cause</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="690" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="690" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1a81a81ef012f522585a7f86211d2eed93" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t volatile</type>
        <definition>uint16_t volatile cyhal_spi_t::pending</definition>
        <argsstring />
        <name>pending</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="691" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="691" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1a39beabda44550039d6b984c454c798e0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cyhal_spi_t::write_fill</definition>
        <argsstring />
        <name>write_fill</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="692" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="692" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1ad61070aa55e039d0f02e7e4a9547bf49" kind="variable" mutable="no" prot="public" static="no">
        <type>void *</type>
        <definition>void* cyhal_spi_t::rx_buffer</definition>
        <argsstring />
        <name>rx_buffer</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="693" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="693" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1ae83a2c35e45a21c0bb078cfcf915b981" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_spi_t::rx_buffer_size</definition>
        <argsstring />
        <name>rx_buffer_size</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="694" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="694" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1a5b27c2bab5d173ffdc1187b153859f3c" kind="variable" mutable="no" prot="public" static="no">
        <type>const void *</type>
        <definition>const void* cyhal_spi_t::tx_buffer</definition>
        <argsstring />
        <name>tx_buffer</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="695" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="695" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1a68458b1ec4318a905b47e78874b9571d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_spi_t::tx_buffer_size</definition>
        <argsstring />
        <name>tx_buffer_size</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="696" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="696" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1ae332bc5a8e1965808c24eb36f7f4be01" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cyhal_spi_t::is_async</definition>
        <argsstring />
        <name>is_async</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="697" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="697" />
      </memberdef>
      <memberdef id="structcyhal__spi__t_1a81359f063c7f6603a9665c2af197595e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcyhal__event__callback__data__t">cyhal_event_callback_data_t</ref></type>
        <definition>cyhal_event_callback_data_t cyhal_spi_t::callback_data</definition>
        <argsstring />
        <name>callback_data</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="698" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="698" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>SPI object. </para>    </briefdescription>
    <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>    </detaileddescription>
    <collaborationgraph>
      <node id="148">
        <label>cyhal_spi_t</label>
        <link refid="structcyhal__spi__t" />
        <childnode refid="149" relation="usage">
          <edgelabel>callback_data</edgelabel>
        </childnode>
        <childnode refid="150" relation="usage">
          <edgelabel>resource</edgelabel>
        </childnode>
      </node>
      <node id="150">
        <label>cyhal_resource_inst_t</label>
        <link refid="structcyhal__resource__inst__t" />
      </node>
      <node id="149">
        <label>cyhal_event_callback_data_t</label>
        <link refid="structcyhal__event__callback__data__t" />
      </node>
    </collaborationgraph>
    <location bodyend="702" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="671" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="671" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__spi__t_1aadd316efc500c86d31d4f5a1d537eda8" virt="non-virtual"><scope>cyhal_spi_t</scope><name>active_ssel</name></member>
      <member prot="public" refid="structcyhal__spi__t_1ae7b748656fdeb754c3d5e4fca97ce981" virt="non-virtual"><scope>cyhal_spi_t</scope><name>alloc_clock</name></member>
      <member prot="public" refid="structcyhal__spi__t_1a9d0c88aefd98c3154063d62806bc7896" virt="non-virtual"><scope>cyhal_spi_t</scope><name>base</name></member>
      <member prot="public" refid="structcyhal__spi__t_1a81359f063c7f6603a9665c2af197595e" virt="non-virtual"><scope>cyhal_spi_t</scope><name>callback_data</name></member>
      <member prot="public" refid="structcyhal__spi__t_1a53afd13ba64fe0511d4e6a18e1e0e5de" virt="non-virtual"><scope>cyhal_spi_t</scope><name>clk_mode</name></member>
      <member prot="public" refid="structcyhal__spi__t_1a209a4ab790591cf161bd9cd4984cac94" virt="non-virtual"><scope>cyhal_spi_t</scope><name>clock</name></member>
      <member prot="public" refid="structcyhal__spi__t_1a9d3190844992b833c1985a0f70db0f47" virt="non-virtual"><scope>cyhal_spi_t</scope><name>context</name></member>
      <member prot="public" refid="structcyhal__spi__t_1a50a0b5cf864a709a12c53b57bf1f60e0" virt="non-virtual"><scope>cyhal_spi_t</scope><name>data_bits</name></member>
      <member prot="public" refid="structcyhal__spi__t_1aaad3adf0f7954bb7fee6e543220b2c38" virt="non-virtual"><scope>cyhal_spi_t</scope><name>irq_cause</name></member>
      <member prot="public" refid="structcyhal__spi__t_1ae332bc5a8e1965808c24eb36f7f4be01" virt="non-virtual"><scope>cyhal_spi_t</scope><name>is_async</name></member>
      <member prot="public" refid="structcyhal__spi__t_1adac2b2d71c8aa2918756ff15b7eed46f" virt="non-virtual"><scope>cyhal_spi_t</scope><name>is_slave</name></member>
      <member prot="public" refid="structcyhal__spi__t_1a48e2879bfa6bea23645f5e2b8a684eb9" virt="non-virtual"><scope>cyhal_spi_t</scope><name>mode</name></member>
      <member prot="public" refid="structcyhal__spi__t_1ad3b024dc55f4ba25ae9a002fdf6274ef" virt="non-virtual"><scope>cyhal_spi_t</scope><name>msb_first</name></member>
      <member prot="public" refid="structcyhal__spi__t_1a1719642510d5c74a45fc5ed4e3af0b4c" virt="non-virtual"><scope>cyhal_spi_t</scope><name>oversample_value</name></member>
      <member prot="public" refid="structcyhal__spi__t_1a81a81ef012f522585a7f86211d2eed93" virt="non-virtual"><scope>cyhal_spi_t</scope><name>pending</name></member>
      <member prot="public" refid="structcyhal__spi__t_1a4abba543deddc161985cb5e2bce54a27" virt="non-virtual"><scope>cyhal_spi_t</scope><name>pin_miso</name></member>
      <member prot="public" refid="structcyhal__spi__t_1aeb604dd90daa694e30c9401c4a35a261" virt="non-virtual"><scope>cyhal_spi_t</scope><name>pin_mosi</name></member>
      <member prot="public" refid="structcyhal__spi__t_1a0257721a8d77e714a2403d20c474097b" virt="non-virtual"><scope>cyhal_spi_t</scope><name>pin_sclk</name></member>
      <member prot="public" refid="structcyhal__spi__t_1a25f5477edefe12fe9e7c0fc5a34e5c3d" virt="non-virtual"><scope>cyhal_spi_t</scope><name>pin_ssel</name></member>
      <member prot="public" refid="structcyhal__spi__t_1a50ef30629c0ed6b9b88fd3edd1d6d917" virt="non-virtual"><scope>cyhal_spi_t</scope><name>resource</name></member>
      <member prot="public" refid="structcyhal__spi__t_1ad61070aa55e039d0f02e7e4a9547bf49" virt="non-virtual"><scope>cyhal_spi_t</scope><name>rx_buffer</name></member>
      <member prot="public" refid="structcyhal__spi__t_1ae83a2c35e45a21c0bb078cfcf915b981" virt="non-virtual"><scope>cyhal_spi_t</scope><name>rx_buffer_size</name></member>
      <member prot="public" refid="structcyhal__spi__t_1a97c4443efbfb39aa679ab01dda84c7f9" virt="non-virtual"><scope>cyhal_spi_t</scope><name>ssel_pol</name></member>
      <member prot="public" refid="structcyhal__spi__t_1a5b27c2bab5d173ffdc1187b153859f3c" virt="non-virtual"><scope>cyhal_spi_t</scope><name>tx_buffer</name></member>
      <member prot="public" refid="structcyhal__spi__t_1a68458b1ec4318a905b47e78874b9571d" virt="non-virtual"><scope>cyhal_spi_t</scope><name>tx_buffer_size</name></member>
      <member prot="public" refid="structcyhal__spi__t_1a39beabda44550039d6b984c454c798e0" virt="non-virtual"><scope>cyhal_spi_t</scope><name>write_fill</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>